ไม่ต้อง KYC — ไม่ต้องใช้บัตรประจำตัว ไม่ต้องถ่ายเซลฟี และไม่ต้องใช้เอกสาร จ่ายด้วยคริปโต
ภาษา: ไทย
เลือก 1 GB

เอกสารอ้างอิง API

พร็อกซีเรซิเดนเชียลและข้อมูลเข้าสู่ระบบ

จัดการการสมัครใช้บริการทราฟฟิก (พร็อกซีเรซิเดนเชียลและพร็อกซีมือถือแบบหมุนเวียน 4G/5G คิดค่าบริการต่อ GB): ข้อมูลเข้าสู่ระบบพร็อกซี ผู้ใช้ย่อยที่มีข้อมูลเข้าสู่ระบบและขีดจำกัดทราฟฟิกของตนเอง การใช้งานรายวัน และตำแหน่งที่กำหนดเป้าหมายได้ในชื่อผู้ใช้พร็อกซี

10 นาทีในการอ่าน

จุดเชื่อมต่อในหน้านี้

  • GET /v1/residential/subscriptions: แสดงรายการแพ็กเกจทราฟฟิก (พร็อกซีเรซิเดนเชียลและพร็อกซีมือถือแบบหมุนเวียน คิดค่าบริการต่อ GB)
  • GET /v1/residential/subscriptions/{subscriptionId}: ดูแพ็กเกจพร็อกซีเรซิเดนเชียล
  • PATCH /v1/residential/subscriptions/{subscriptionId}: เปลี่ยนชื่อหรือเปิด/ปิดการต่ออายุอัตโนมัติ
  • POST /v1/residential/subscriptions/{subscriptionId}/reset-password: สร้างรหัสผ่านพร็อกซีใหม่สำหรับผู้ใช้หลัก
  • GET /v1/residential/subscriptions/{subscriptionId}/usage: ปริมาณการใช้งานทราฟฟิกรายวัน
  • GET /v1/residential/subscriptions/{subscriptionId}/sub-users: แสดงรายการผู้ใช้ย่อย (ข้อมูลเข้าสู่ระบบพร็อกซีแยก พร้อมขีดจำกัดทราฟฟิกของตนเอง)
  • POST /v1/residential/subscriptions/{subscriptionId}/sub-users: สร้างผู้ใช้ย่อย
  • PATCH /v1/residential/subscriptions/{subscriptionId}/sub-users/{subUserId}: แก้ไขผู้ใช้ย่อย (ป้ายกำกับ ขีดจำกัด เปิด/ปิดใช้งาน รหัสผ่านใหม่)
  • DELETE /v1/residential/subscriptions/{subscriptionId}/sub-users/{subUserId}: ลบผู้ใช้ย่อย
  • GET /v1/catalog/countries: ประเทศที่มีผลิตภัณฑ์ให้บริการ
  • GET /v1/catalog/countries/{countryCode}/states: รัฐ/จังหวัดที่เลือกกำหนดได้ในประเทศ (US, CA, AU…)
  • GET /v1/catalog/countries/{countryCode}/cities: เมืองที่เลือกกำหนดได้ในประเทศ
  • GET /v1/catalog/countries/{countryCode}/asns: ISP (ASN) ที่เลือกกำหนดได้ในประเทศ — เฉพาะพร็อกซีเรซิเดนเชียล

URL พื้นฐาน https://localserpproxy.com/api/v1 ดูภาพรวม API สำหรับการยืนยันตัวตน ข้อผิดพลาด และขีดจำกัด: ภาพรวม API]

เซสชันแบบคงที่

เพิ่ม -session-{id}-ttl-{minutes} ในชื่อผู้ใช้พร็อกซีเพื่อคง IP เดิมไว้: {id} คืออักขระภาษาอังกฤษหรือตัวเลข 1–32 ตัวที่คุณเลือก ส่วน ttl คือ 1–30 นาที IP อาจเปลี่ยนก่อนครบเวลาได้ เช่น เมื่ออุปกรณ์ที่เชื่อมต่ออยู่หยุดทำงาน

แสดงรายการแพ็กเกจทราฟฟิก (พร็อกซีเรซิเดนเชียลและพร็อกซีมือถือแบบหมุนเวียน คิดค่าบริการต่อ GB)

GET/v1/residential/subscriptions

การยืนยันตัวตน: ใช้คีย์ API ในส่วนหัว Authorization: Bearer API_KEY

พารามิเตอร์

ชื่อในประเภทจำเป็นคำอธิบาย
productIdqueryresidential · mobile-gbไม่เฉพาะผลิตภัณฑ์นี้ (หากไม่ระบุ: ทั้ง 2 ผลิตภัณฑ์)

การตอบกลับ 200 OK

{
  "data": [
    {
      "id": "res_9x2m4k",
      "productId": "residential",
      "label": "Residential #1",
      "planId": "res-10",
      "status": "active",
      "trafficTotalBytes": 10000000000,
      "trafficUsedBytes": 2350000000,
      "trafficRemainingBytes": 7650000000,
      "expiresAt": null,
      "autoRenew": false,
      "username": "u7k2m9",
      "password": "PASSWORD",
      "endpoint": {
        "host": "gw.localserpproxy.com",
        "httpPort": 7777,
        "socksPort": 7778
      },
      "subUserCount": 1,
      "createdAt": "2026-10-05T14:03:11Z"
    }
  ]
}

ตัวอย่างโค้ด

curl
curl -s "https://localserpproxy.com/api/v1/residential/subscriptions" \
  -H "Authorization: Bearer $API_KEY"
Python
import os
import requests

API = "https://localserpproxy.com/api/v1"
HEADERS = {"Authorization": f"Bearer {os.environ['API_KEY']}"}

r = requests.get(f"{API}/residential/subscriptions", headers=HEADERS, timeout=30)
r.raise_for_status()
print(r.json())
Node.js
// Node.js 18+ (built-in fetch), ES module
const API = 'https://localserpproxy.com/api/v1';

const res = await fetch(`${API}/residential/subscriptions`, {
  headers: { Authorization: `Bearer ${process.env.API_KEY}` },
});
if (!res.ok) throw new Error((await res.json()).error?.message ?? `HTTP ${res.status}`);
console.log(await res.json());

ดูแพ็กเกจพร็อกซีเรซิเดนเชียล

GET/v1/residential/subscriptions/{subscriptionId}

การยืนยันตัวตน: ใช้คีย์ API ในส่วนหัว Authorization: Bearer API_KEY

พารามิเตอร์

ชื่อในประเภทจำเป็นคำอธิบาย
subscriptionIdpathstringใช่—

การตอบกลับ 200 OK

{
  "id": "res_9x2m4k",
  "productId": "residential",
  "label": "Residential #1",
  "planId": "res-10",
  "status": "active",
  "trafficTotalBytes": 10000000000,
  "trafficUsedBytes": 2350000000,
  "trafficRemainingBytes": 7650000000,
  "expiresAt": null,
  "autoRenew": false,
  "username": "u7k2m9",
  "password": "PASSWORD",
  "endpoint": {
    "host": "gw.localserpproxy.com",
    "httpPort": 7777,
    "socksPort": 7778
  },
  "subUserCount": 1,
  "createdAt": "2026-10-05T14:03:11Z"
}

ตัวอย่างโค้ด

curl
curl -s "https://localserpproxy.com/api/v1/residential/subscriptions/res_9x2m4k" \
  -H "Authorization: Bearer $API_KEY"
Python
import os
import requests

API = "https://localserpproxy.com/api/v1"
HEADERS = {"Authorization": f"Bearer {os.environ['API_KEY']}"}

r = requests.get(f"{API}/residential/subscriptions/res_9x2m4k", headers=HEADERS, timeout=30)
r.raise_for_status()
print(r.json())
Node.js
// Node.js 18+ (built-in fetch), ES module
const API = 'https://localserpproxy.com/api/v1';

const res = await fetch(`${API}/residential/subscriptions/res_9x2m4k`, {
  headers: { Authorization: `Bearer ${process.env.API_KEY}` },
});
if (!res.ok) throw new Error((await res.json()).error?.message ?? `HTTP ${res.status}`);
console.log(await res.json());

เปลี่ยนชื่อหรือเปิด/ปิดการต่ออายุอัตโนมัติ

PATCH/v1/residential/subscriptions/{subscriptionId}

การยืนยันตัวตน: ใช้คีย์ API ในส่วนหัว Authorization: Bearer API_KEY

พารามิเตอร์

ชื่อในประเภทจำเป็นคำอธิบาย
subscriptionIdpathstringใช่—

เนื้อหาคำขอ

ฟิลด์ประเภทจำเป็นคำอธิบาย
labelstringไม่สูงสุด 60 ตัวอักษร
autoRenewbooleanไม่—
ตัวอย่าง
{
  "label": "Price monitoring",
  "autoRenew": true
}

การตอบกลับ 200 OK

{
  "id": "res_9x2m4k",
  "productId": "residential",
  "label": "Residential #1",
  "planId": "res-10",
  "status": "active",
  "trafficTotalBytes": 10000000000,
  "trafficUsedBytes": 2350000000,
  "trafficRemainingBytes": 7650000000,
  "expiresAt": null,
  "autoRenew": false,
  "username": "u7k2m9",
  "password": "PASSWORD",
  "endpoint": {
    "host": "gw.localserpproxy.com",
    "httpPort": 7777,
    "socksPort": 7778
  },
  "subUserCount": 1,
  "createdAt": "2026-10-05T14:03:11Z"
}

ตัวอย่างโค้ด

curl
curl -s -X PATCH "https://localserpproxy.com/api/v1/residential/subscriptions/res_9x2m4k" \
  -H "Authorization: Bearer $API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"label":"Price monitoring","autoRenew":true}'
Python
import os
import requests

API = "https://localserpproxy.com/api/v1"
HEADERS = {"Authorization": f"Bearer {os.environ['API_KEY']}"}

r = requests.patch(f"{API}/residential/subscriptions/res_9x2m4k", headers=HEADERS, json={"label": "Price monitoring", "autoRenew": True}, timeout=30)
r.raise_for_status()
print(r.json())
Node.js
// Node.js 18+ (built-in fetch), ES module
const API = 'https://localserpproxy.com/api/v1';

const res = await fetch(`${API}/residential/subscriptions/res_9x2m4k`, {
  method: 'PATCH',
  headers: { Authorization: `Bearer ${process.env.API_KEY}`, 'Content-Type': 'application/json' },
  body: JSON.stringify({ label: 'Price monitoring', autoRenew: true }),
});
if (!res.ok) throw new Error((await res.json()).error?.message ?? `HTTP ${res.status}`);
console.log(await res.json());

สร้างรหัสผ่านพร็อกซีใหม่สำหรับผู้ใช้หลัก

POST/v1/residential/subscriptions/{subscriptionId}/reset-password

รหัสผ่านเดิมจะหยุดใช้งานที่เกตเวย์ภายใน 60 วินาที

การยืนยันตัวตน: ใช้คีย์ API ในส่วนหัว Authorization: Bearer API_KEY

พารามิเตอร์

ชื่อในประเภทจำเป็นคำอธิบาย
subscriptionIdpathstringใช่—

การตอบกลับ 200 OK

{
  "id": "res_9x2m4k",
  "productId": "residential",
  "label": "Residential #1",
  "planId": "res-10",
  "status": "active",
  "trafficTotalBytes": 10000000000,
  "trafficUsedBytes": 2350000000,
  "trafficRemainingBytes": 7650000000,
  "expiresAt": null,
  "autoRenew": false,
  "username": "u7k2m9",
  "password": "PASSWORD",
  "endpoint": {
    "host": "gw.localserpproxy.com",
    "httpPort": 7777,
    "socksPort": 7778
  },
  "subUserCount": 1,
  "createdAt": "2026-10-05T14:03:11Z"
}

ตัวอย่างโค้ด

curl
curl -s -X POST "https://localserpproxy.com/api/v1/residential/subscriptions/res_9x2m4k/reset-password" \
  -H "Authorization: Bearer $API_KEY"
Python
import os
import requests

API = "https://localserpproxy.com/api/v1"
HEADERS = {"Authorization": f"Bearer {os.environ['API_KEY']}"}

r = requests.post(f"{API}/residential/subscriptions/res_9x2m4k/reset-password", headers=HEADERS, timeout=30)
r.raise_for_status()
print(r.json())
Node.js
// Node.js 18+ (built-in fetch), ES module
const API = 'https://localserpproxy.com/api/v1';

const res = await fetch(`${API}/residential/subscriptions/res_9x2m4k/reset-password`, {
  method: 'POST',
  headers: { Authorization: `Bearer ${process.env.API_KEY}` },
});
if (!res.ok) throw new Error((await res.json()).error?.message ?? `HTTP ${res.status}`);
console.log(await res.json());

ปริมาณการใช้งานทราฟฟิกรายวัน

GET/v1/residential/subscriptions/{subscriptionId}/usage

การยืนยันตัวตน: ใช้คีย์ API ในส่วนหัว Authorization: Bearer API_KEY

พารามิเตอร์

ชื่อในประเภทจำเป็นคำอธิบาย
subscriptionIdpathstringใช่—
fromquerystring (date)ไม่วันแรก (UTC) รวมวันดังกล่าวด้วย ค่าเริ่มต้น = 29 วันก่อน to
toquerystring (date)ไม่วันสุดท้าย (UTC) รวมวันดังกล่าวด้วย ค่าเริ่มต้น = วันนี้ ช่วงสูงสุด 366 วัน
subUserIdquerystringไม่จำกัดให้ใช้ได้กับผู้ใช้ย่อยเพียงรายเดียว

การตอบกลับ 200 OK

{
  "from": "2026-10-04",
  "to": "2026-10-05",
  "totalBytes": 2350000000,
  "totalRequests": 48210,
  "points": [
    {
      "date": "2026-10-04",
      "bytes": 1200000000,
      "requests": 24800
    },
    {
      "date": "2026-10-05",
      "bytes": 1150000000,
      "requests": 23410
    }
  ],
  "byCountry": [
    {
      "country": "US",
      "bytes": 2350000000
    }
  ]
}

ตัวอย่างโค้ด

curl
curl -s "https://localserpproxy.com/api/v1/residential/subscriptions/res_9x2m4k/usage" \
  -H "Authorization: Bearer $API_KEY"
Python
import os
import requests

API = "https://localserpproxy.com/api/v1"
HEADERS = {"Authorization": f"Bearer {os.environ['API_KEY']}"}

r = requests.get(f"{API}/residential/subscriptions/res_9x2m4k/usage", headers=HEADERS, timeout=30)
r.raise_for_status()
print(r.json())
Node.js
// Node.js 18+ (built-in fetch), ES module
const API = 'https://localserpproxy.com/api/v1';

const res = await fetch(`${API}/residential/subscriptions/res_9x2m4k/usage`, {
  headers: { Authorization: `Bearer ${process.env.API_KEY}` },
});
if (!res.ok) throw new Error((await res.json()).error?.message ?? `HTTP ${res.status}`);
console.log(await res.json());

แสดงรายชื่อผู้ใช้ย่อย (ข้อมูลเข้าสู่ระบบพร็อกซีแยกต่างหาก พร้อมขีดจำกัดทราฟฟิกของตนเอง)

GET/v1/residential/subscriptions/{subscriptionId}/sub-users

การยืนยันตัวตน: ใช้คีย์ API ในส่วนหัว Authorization: Bearer API_KEY

พารามิเตอร์

ชื่อในประเภทจำเป็นคำอธิบาย
subscriptionIdpathstringใช่—

การตอบกลับ 200 OK

{
  "data": [
    {
      "id": "sub_3m9qk2",
      "label": "Client A",
      "username": "u7k2m9_scraper",
      "password": "PASSWORD",
      "trafficLimitBytes": 5000000000,
      "trafficUsedBytes": 1200000000,
      "enabled": true,
      "createdAt": "2026-10-05T14:03:11Z"
    }
  ],
  "limit": 50
}

ตัวอย่างโค้ด

curl
curl -s "https://localserpproxy.com/api/v1/residential/subscriptions/res_9x2m4k/sub-users" \
  -H "Authorization: Bearer $API_KEY"
Python
import os
import requests

API = "https://localserpproxy.com/api/v1"
HEADERS = {"Authorization": f"Bearer {os.environ['API_KEY']}"}

r = requests.get(f"{API}/residential/subscriptions/res_9x2m4k/sub-users", headers=HEADERS, timeout=30)
r.raise_for_status()
print(r.json())
Node.js
// Node.js 18+ (built-in fetch), ES module
const API = 'https://localserpproxy.com/api/v1';

const res = await fetch(`${API}/residential/subscriptions/res_9x2m4k/sub-users`, {
  headers: { Authorization: `Bearer ${process.env.API_KEY}` },
});
if (!res.ok) throw new Error((await res.json()).error?.message ?? `HTTP ${res.status}`);
console.log(await res.json());

สร้างผู้ใช้ย่อย

POST/v1/residential/subscriptions/{subscriptionId}/sub-users

การยืนยันตัวตน: ใช้คีย์ API ในส่วนหัว Authorization: Bearer API_KEY

พารามิเตอร์

ชื่อในประเภทจำเป็นคำอธิบาย
subscriptionIdpathstringใช่—

เนื้อหาคำขอ

ฟิลด์ประเภทจำเป็นคำอธิบาย
labelstringใช่สูงสุด 60 ตัวอักษร
passwordstringไม่สร้างให้อัตโนมัติหากเว้นว่าง — สูงสุด 64 ตัวอักษร
trafficLimitBytesinteger (int64), nullableไม่≥ 0
ตัวอย่าง
{
  "label": "Scraper EU",
  "trafficLimitBytes": 5000000000
}

การตอบกลับ 201 Created

{
  "id": "sub_3m9qk2",
  "label": "Client A",
  "username": "u7k2m9_scraper",
  "password": "PASSWORD",
  "trafficLimitBytes": 5000000000,
  "trafficUsedBytes": 1200000000,
  "enabled": true,
  "createdAt": "2026-10-05T14:03:11Z"
}

ตัวอย่างโค้ด

curl
curl -s -X POST "https://localserpproxy.com/api/v1/residential/subscriptions/res_9x2m4k/sub-users" \
  -H "Authorization: Bearer $API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"label":"Scraper EU","trafficLimitBytes":5000000000}'
Python
import os
import requests

API = "https://localserpproxy.com/api/v1"
HEADERS = {"Authorization": f"Bearer {os.environ['API_KEY']}"}

r = requests.post(f"{API}/residential/subscriptions/res_9x2m4k/sub-users", headers=HEADERS, json={"label": "Scraper EU", "trafficLimitBytes": 5000000000}, timeout=30)
r.raise_for_status()
print(r.json())
Node.js
// Node.js 18+ (built-in fetch), ES module
const API = 'https://localserpproxy.com/api/v1';

const res = await fetch(`${API}/residential/subscriptions/res_9x2m4k/sub-users`, {
  method: 'POST',
  headers: { Authorization: `Bearer ${process.env.API_KEY}`, 'Content-Type': 'application/json' },
  body: JSON.stringify({ label: 'Scraper EU', trafficLimitBytes: 5000000000 }),
});
if (!res.ok) throw new Error((await res.json()).error?.message ?? `HTTP ${res.status}`);
console.log(await res.json());

อัปเดตผู้ใช้ย่อย (ป้ายกำกับ, ขีดจำกัด, เปิด/ปิดใช้งาน, รหัสผ่านใหม่)

PATCH/v1/residential/subscriptions/{subscriptionId}/sub-users/{subUserId}

การยืนยันตัวตน: ใช้คีย์ API ในส่วนหัว Authorization: Bearer API_KEY

พารามิเตอร์

ชื่อในประเภทจำเป็นคำอธิบาย
subscriptionIdpathstringใช่—
subUserIdpathstringใช่—

เนื้อหาคำขอ

ฟิลด์ประเภทจำเป็นคำอธิบาย
labelstringไม่สูงสุด 60 ตัวอักษร
trafficLimitBytesinteger (int64), nullableไม่≥ 0
enabledbooleanไม่—
regeneratePasswordbooleanไม่—
ตัวอย่าง
{
  "enabled": false
}

การตอบกลับ 200 OK

{
  "id": "sub_3m9qk2",
  "label": "Client A",
  "username": "u7k2m9_scraper",
  "password": "PASSWORD",
  "trafficLimitBytes": 5000000000,
  "trafficUsedBytes": 1200000000,
  "enabled": true,
  "createdAt": "2026-10-05T14:03:11Z"
}

ตัวอย่างโค้ด

curl
curl -s -X PATCH "https://localserpproxy.com/api/v1/residential/subscriptions/res_9x2m4k/sub-users/sub_3m9qk2" \
  -H "Authorization: Bearer $API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"enabled":false}'
Python
import os
import requests

API = "https://localserpproxy.com/api/v1"
HEADERS = {"Authorization": f"Bearer {os.environ['API_KEY']}"}

r = requests.patch(f"{API}/residential/subscriptions/res_9x2m4k/sub-users/sub_3m9qk2", headers=HEADERS, json={"enabled": False}, timeout=30)
r.raise_for_status()
print(r.json())
Node.js
// Node.js 18+ (built-in fetch), ES module
const API = 'https://localserpproxy.com/api/v1';

const res = await fetch(`${API}/residential/subscriptions/res_9x2m4k/sub-users/sub_3m9qk2`, {
  method: 'PATCH',
  headers: { Authorization: `Bearer ${process.env.API_KEY}`, 'Content-Type': 'application/json' },
  body: JSON.stringify({ enabled: false }),
});
if (!res.ok) throw new Error((await res.json()).error?.message ?? `HTTP ${res.status}`);
console.log(await res.json());

ลบผู้ใช้ย่อย

DELETE/v1/residential/subscriptions/{subscriptionId}/sub-users/{subUserId}

การยืนยันตัวตน: ใช้คีย์ API ในส่วนหัว Authorization: Bearer API_KEY

พารามิเตอร์

ชื่อในประเภทจำเป็นคำอธิบาย
subscriptionIdpathstringใช่—
subUserIdpathstringใช่—

การตอบกลับ 204 No Content

ไม่มีเนื้อหาคำขอ: ใช้รหัสสถานะเป็นคำตอบ

ตัวอย่างโค้ด

curl
curl -s -X DELETE "https://localserpproxy.com/api/v1/residential/subscriptions/res_9x2m4k/sub-users/sub_3m9qk2" \
  -H "Authorization: Bearer $API_KEY"
Python
import os
import requests

API = "https://localserpproxy.com/api/v1"
HEADERS = {"Authorization": f"Bearer {os.environ['API_KEY']}"}

r = requests.delete(f"{API}/residential/subscriptions/res_9x2m4k/sub-users/sub_3m9qk2", headers=HEADERS, timeout=30)
r.raise_for_status()
print(r.status_code)  # 204: done
Node.js
// Node.js 18+ (built-in fetch), ES module
const API = 'https://localserpproxy.com/api/v1';

const res = await fetch(`${API}/residential/subscriptions/res_9x2m4k/sub-users/sub_3m9qk2`, {
  method: 'DELETE',
  headers: { Authorization: `Bearer ${process.env.API_KEY}` },
});
if (!res.ok) throw new Error(`HTTP ${res.status}`);
console.log(res.status); // 204: done

ประเทศที่มีผลิตภัณฑ์ให้บริการ

GET/v1/catalog/countries

สาธารณะ: ไม่ต้องใช้คีย์ API

พารามิเตอร์

ชื่อในประเภทจำเป็นคำอธิบาย
productquerystringไม่จำกัดเฉพาะพื้นที่ที่มีผลิตภัณฑ์นี้ให้บริการ (residential, mobile, mobile-gb)

การตอบกลับ 200 OK

{
  "data": [
    {
      "code": "US",
      "name": "United States",
      "region": "Americas",
      "products": [
        "residential",
        "mobile",
        "mobile-gb"
      ],
      "cities": 6,
      "asns": 4,
      "carriers": 3
    }
  ]
}

ตัวอย่างโค้ด

curl
curl -s "https://localserpproxy.com/api/v1/catalog/countries"
Python
import os
import requests

API = "https://localserpproxy.com/api/v1"

r = requests.get(f"{API}/catalog/countries", timeout=30)
r.raise_for_status()
print(r.json())
Node.js
// Node.js 18+ (built-in fetch), ES module
const API = 'https://localserpproxy.com/api/v1';

const res = await fetch(`${API}/catalog/countries`);
if (!res.ok) throw new Error((await res.json()).error?.message ?? `HTTP ${res.status}`);
console.log(await res.json());

รัฐ / จังหวัดที่กำหนดเป้าหมายได้ในประเทศ (US, CA, AU…)

GET/v1/catalog/countries/{countryCode}/states

ค่าของส่วนชื่อผู้ใช้ -state-{state} รายการว่างสำหรับประเทศที่ไม่รองรับการกำหนดเป้าหมายตามรัฐ ไม่แสดงรหัส ZIP: ส่วน -zip-{zip} รับรหัส ZIP ของ US แบบ 5 หลักได้ทุกรหัส และเกตเวย์จะแสดงหน้าข้อผิดพลาดเมื่อไม่มี IP ทางออกที่ตรงกัน

สาธารณะ: ไม่ต้องใช้คีย์ API

พารามิเตอร์

ชื่อในประเภทจำเป็นคำอธิบาย
countryCodepathstringใช่ISO 3166-1 alpha-2 ตัวพิมพ์ใหญ่

การตอบกลับ 200 OK

{
  "data": [
    {
      "id": "ny",
      "code": "NY",
      "name": "New York",
      "cities": 0
    }
  ]
}

ตัวอย่างโค้ด

curl
curl -s "https://localserpproxy.com/api/v1/catalog/countries/US/states"
Python
import os
import requests

API = "https://localserpproxy.com/api/v1"

r = requests.get(f"{API}/catalog/countries/US/states", timeout=30)
r.raise_for_status()
print(r.json())
Node.js
// Node.js 18+ (built-in fetch), ES module
const API = 'https://localserpproxy.com/api/v1';

const res = await fetch(`${API}/catalog/countries/US/states`);
if (!res.ok) throw new Error((await res.json()).error?.message ?? `HTTP ${res.status}`);
console.log(await res.json());

เมืองที่กำหนดเป้าหมายได้ในประเทศ

GET/v1/catalog/countries/{countryCode}/cities

เมื่อใช้ product=mobile หรือ product=mobile-gb จะใช้ได้เฉพาะเมืองที่มีโมเด็ม 4G/5G

สาธารณะ: ไม่ต้องใช้คีย์ API

พารามิเตอร์

ชื่อในประเภทจำเป็นคำอธิบาย
countryCodepathstringใช่ISO 3166-1 alpha-2 ตัวพิมพ์ใหญ่
productquerystringไม่จำกัดเฉพาะพื้นที่ที่มีผลิตภัณฑ์นี้ให้บริการ (residential, mobile, mobile-gb)

การตอบกลับ 200 OK

{
  "data": [
    {
      "id": "new_york",
      "name": "New York",
      "state": "ny"
    }
  ]
}

ตัวอย่างโค้ด

curl
curl -s "https://localserpproxy.com/api/v1/catalog/countries/US/cities"
Python
import os
import requests

API = "https://localserpproxy.com/api/v1"

r = requests.get(f"{API}/catalog/countries/US/cities", timeout=30)
r.raise_for_status()
print(r.json())
Node.js
// Node.js 18+ (built-in fetch), ES module
const API = 'https://localserpproxy.com/api/v1';

const res = await fetch(`${API}/catalog/countries/US/cities`);
if (!res.ok) throw new Error((await res.json()).error?.message ?? `HTTP ${res.status}`);
console.log(await res.json());

ISP (ASN) ที่กำหนดเป้าหมายได้ในประเทศ — เฉพาะพร็อกซีเรซิเดนเชียล

GET/v1/catalog/countries/{countryCode}/asns

สาธารณะ: ไม่ต้องใช้คีย์ API

พารามิเตอร์

ชื่อในประเภทจำเป็นคำอธิบาย
countryCodepathstringใช่ISO 3166-1 alpha-2 ตัวพิมพ์ใหญ่

การตอบกลับ 200 OK

{
  "data": [
    {
      "asn": 7922,
      "name": "Comcast Cable"
    }
  ]
}

ตัวอย่างโค้ด

curl
curl -s "https://localserpproxy.com/api/v1/catalog/countries/US/asns"
Python
import os
import requests

API = "https://localserpproxy.com/api/v1"

r = requests.get(f"{API}/catalog/countries/US/asns", timeout=30)
r.raise_for_status()
print(r.json())
Node.js
// Node.js 18+ (built-in fetch), ES module
const API = 'https://localserpproxy.com/api/v1';

const res = await fetch(`${API}/catalog/countries/US/asns`);
if (!res.ok) throw new Error((await res.json()).error?.message ?? `HTTP ${res.status}`);
console.log(await res.json());

1 GB US$1.50 · ไม่ต้อง KYC

ดูราคา